@echo off
cls
if %1.==%2. goto err2
if %2.==. goto err2
if not exist %1:\nul goto err2
if not exist %2:\nul goto err2
if not exist %1:\StopPass.* goto err1
if not exist %1:\StopRead.1st goto err1
echo     Welcome to the StopPass version 1.0 installation program     
echo.
echo The following procedure will install StopPass onto your hard disk.
echo Is it okay to install StopPass on drive %2: now?
echo Press Y (or ) for YES, N for NO.   
%1:\Stop-Ask
if errorlevel = 1 goto :doit1
cls
echo     Welcome to the StopPass version 1.0 installation program         
echo.
echo -------------------------------------------------------------------------
echo               INSTALLATION CANCELLED
echo -------------------------------------------------------------------------
echo.
goto end

:doit1
%2:
echo.
echo The following files are missing:
if not exist \stopread.1st echo StopPass.1st 
if not exist \StopPass.exe echo StopPass.exe
if not exist \StopPass.msg echo StopPass.msg
if not exist \StopPass.$$ echo StopPass. $$
echo.
echo Some StopPass files already exist. Do you wish to overwrite them?
echo Press Y (or ) for YES, N for NO.   
%1:\Stop-Ask
if errorlevel = 1 goto :disk1
cls
echo     Welcome to the StopPass version 1.0 installation program         
echo.
echo -------------------------------------------------------------------------
echo               INSTALLATION CANCELLED
echo -------------------------------------------------------------------------
echo.
%1:
goto end

:disk1
echo.
echo   ...now installing StopPass 1.0 files to %2:...sit back and relax...
echo.
%2:
cd \
copy %1:\StopPass.* >nul
copy %1:\StopRead.* >nul
echo.
echo              Installation Complete             
echo.
echo *Now this program is ready to make change in to AUTOEXEC.BAT*
echo Do you want to make those change now?
echo Press Y (or ) for YES, N for NO.   
%1:\Stop-Ask
if errorlevel = 1 goto :doit2
echo.
echo -------------------------------------------------------------------------
echo INSTALL COMPLETE. To use StopPass, type: StopPass
echo -------------------------------------------------------------------------
echo.
goto end

:doit2
copy autoexec.bat autoexec.bak
del autoexec.bat
copy %1:\stop.top + autoexec.bak autoexec.bat
echo.
echo -------------------------------------------------------------------------
echo *Your original file was saved as AUTOEXEC.BAT
echo *Now reboot your computer (to enable new AUTOEXEC.BAT file).
echo -------------------------------------------------------------------------
echo.
goto end

:err1
echo StopPass files not found on drive %1:
echo Installation cancelled.
goto end

:err2
echo --------------------------------------------------------------------------
echo -  Install Error. You entered: %0 %1 %2                                 -
echo -                                                                        -
echo -  To correctly install StopPass, read the set-up instructions below:    -
echo -                                                                        -
echo ----------------------- INSTALLATION INSTRUCTIONS ------------------------
echo -                                                                        -
echo -  Type:   A:INSTALL A C                                                 -
echo -                                                                        -
echo -  Where:  A is the drive containing the StopPass diskette               -
echo -          C is the hard disk drive you wish to install StopPass on      -
echo -                                                                        -
echo -  Note: type ONLY the drive letters - don't type a                      -
echo -        colon (:) or any sub-directory names.                           -
echo --------------------------------------------------------------------------
echo.
:end
cd\

